## ros-iron-urg-c 1.0.4001

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urg_c)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(WARNING "${PROJECT_NAME} is currently not supported on Windows")
  ament_package()
  return()
endif()

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Set library locations to better handle if upstream locations change
set(LIBRARY_DIR ${CMAKE_CURRENT_SOURCE_DIR}/current)
set(LIBRARY_INCLUDE_DIR ${LIBRARY_DIR}/include)
set(LIBRARY_SRC_DIR ${LIBRARY_DIR}/src)
set(LIBRARY_SAMPLE_DIR ${LIBRARY_DIR}/samples)

###################################################
## Declare things to be passed to other projects ##
###################################################

###########
## Build ##
###########

## Declare libraries
add_library(urg_c SHARED
  ${LIBRARY_SRC_DIR}/urg_sensor.c
  ${LIBRARY_SRC_DIR}/urg_utils.c
  ${LIBRARY_SRC_DIR}/urg_debug.c
  ${LIBRARY_SRC_DIR}/urg_connection.c
  ${LIBRARY_SRC_DIR}/urg_ring_buffer.c
  ${LIBRARY_SRC_DIR}/urg_serial.c
  ${LIBRARY_SRC_DIR}/urg_serial_utils.c
  ${LIBRARY_SRC_DIR}/urg_tcpclient.c
  ${LIBRARY_SRC_DIR}/urg_time.c
)
target_include_directories(urg_c
  PUBLIC
  $<BUILD_INTERFACE:${LIBRARY_INCLUDE_DIR}>
  $<INSTALL_INTERFACE:include>
)
if(CMAKE_COMPILER_IS_GNUCXX)
  target_link_libraries(urg_c -lrt -lm)
endif(CMAKE_COMPILER_IS_GNUCXX)

add_library(open_urg_sensor ${LIBRARY_SAMPLE_DIR}/open_urg_sensor.c)
target_link_libraries(open_urg_sensor -lm urg_c)

## Declare samples
add_executable(angle_convert_test ${LIBRARY_SAMPLE_DIR}/angle_convert_test.c)
target_link_libraries(angle_convert_test urg_c open_urg_sensor)

add_executable(calculate_xy ${LIBRARY_SAMPLE_DIR}/calculate_xy.c)
target_link_libraries(calculate_xy urg_c open_urg_sensor)

add_executable(find_port ${LIBRARY_SAMPLE_DIR}/find_port.c)
target_link_libraries(find_port urg_c open_urg_sensor)

add_executable(get_distance ${LIBRARY_SAMPLE_DIR}/get_distance.c)
target_link_libraries(get_distance urg_c open_urg_sensor)

add_executable(get_distance_intensity ${LIBRARY_SAMPLE_DIR}/get_distance_intensity.c)
target_link_libraries(get_distance_intensity urg_c open_urg_sensor)

add_executable(get_multiecho ${LIBRARY_SAMPLE_DIR}/get_multiecho.c)
target_link_libraries(get_multiecho urg_c open_urg_sensor)

add_executable(get_multiecho_intensity ${LIBRARY_SAMPLE_DIR}/get_multiecho_intensity.c)
target_link_libraries(get_multiecho_intensity urg_c open_urg_sensor)

add_executable(reboot_test ${LIBRARY_SAMPLE_DIR}/reboot_test.c)
target_link_libraries(reboot_test urg_c open_urg_sensor)

add_executable(sensor_parameter ${LIBRARY_SAMPLE_DIR}/sensor_parameter.c)
target_link_libraries(sensor_parameter urg_c open_urg_sensor)

add_executable(sync_time_stamp ${LIBRARY_SAMPLE_DIR}/sync_time_stamp.c)
target_link_libraries(sync_time_stamp urg_c open_urg_sensor)

add_executable(timeout_test ${LIBRARY_SAMPLE_DIR}/timeout_test.c)
target_link_libraries(timeout_test urg_c open_urg_sensor)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS urg_c open_urg_sensor angle_convert_test calculate_xy find_port
  get_distance get_distance_intensity get_multiecho get_multiecho_intensity
  reboot_test sensor_parameter sync_time_stamp timeout_test
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

## Mark cpp header files for installation
install(DIRECTORY ${LIBRARY_INCLUDE_DIR}/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(urg_c open_urg_sensor)
ament_package()

=== debian/changelog ===
ros-iron-urg-c (1.0.4001-5jammy) jammy; urgency=high

  * add maintainer for ros2 (#13 <https://github.com/ros-drivers/urg_c/issues/13>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 09 Jun 2020 16:00:00 -0000

ros-iron-urg-c (1.0.4000-5jammy) jammy; urgency=high

  * migrate ros2 devel (#11 <https://github.com/ros-drivers/urg_c/issues/11>)
  * Contributors: Karsten Knese, Brett, Marc-Antoine Testier, Chris Lalancette

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 16 Mar 2020 16:00:00 -0000

ros-iron-urg-c (1.0.405-5jammy) jammy; urgency=high

  * pass *pointer to* system timestamp, sync issue on quit
  * Adding new maintainer.
  * Contributors: Tony Baltovski, knickels

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 06 Aug 2018 16:00:00 -0000

ros-iron-urg-c (1.0.404-5jammy) jammy; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_c/issues/2> from dawonn/master
    Issue #1 <https://github.com/ros-drivers/urg_c/issues/1> - missing libmath link
  * Ubuntu 14.04 Fix - missing libmath link
  * Fix build for Android.
  * Contributors: Chad Rockey, dawonn

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 27 Apr 2014 16:00:00 -0000

ros-iron-urg-c (1.0.403-5jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-urg-c (1.0.402-5jammy) jammy; urgency=high

  * Missing header for Ubuntu Raring 13.04
  * Contributors: chadrockey

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 03 Apr 2013 16:00:00 -0000

ros-iron-urg-c (1.0.401-5jammy) jammy; urgency=high

  * Updated version to 1.0.401
  * Added files for catkin/bloom to release.
  * Added better system timestamp
  * Added more information functions.
  * Updated includes for urg_c folder.
  * Moving header files to be standardized for source builds.
  * fix document
  * fixed laser off fail when urg_close() has called
  * fixed tcpclient_open bug on Linux
  * added angle_convert_test.c
  * fixed for ethernet sensor
  * fixed windows.h include timing
  * fixed urg_c-config created
  * fixed ethernet open problem
  * fixed compile error
  * added reported user Adrian Boeing. thanks!
  * added releasenotes
  * removed rt link script
  * fixed for OSX
  * added AUTHORS.txt
  * fixed plotter's bug
  * fixed multiecho data's bug
  * fixed urg_tcpclient_open()'s bug
  * fixed receive_length data handling
  * fixed 'if' condition handling data store
  * fixed NULL pointer access bug
  * fixed QT after RB
  * fixed Gx stop bug
  * translated page titles
  * fixed urg_sensor_status() function's bug
  * fixed buffer size
  * remove duplicated file
  * fixed doxygen comment
  * fixed dependency
  * fixed closing time is too long.
  * added receive_command_response() internal function.
  * added document tag
  * sepalated urg_debug.[ch]
  * added samples
  * fixed download path document.
  * urg_sleep(), urg_wakeup, urg_is_stabl() are implemented.
  * fixed parameter receive method.
  * fixed localhost convert
  * fixed localhost ip_address
  * added type item
  * changed error handler return type
  * added urg_scip_decode() function.
  * added error handler
  * removed temporary image files
  * fixed OpenGL 1 support
  * fixed html mainpage
  * added sample compile check
  * translated some files.
  * translated mainpage.dox
  * fixed document.
  * added timestamp tutorial
  * added images
  * fixed indent
  * added doxygen comment
  * added document.
  * added tutorial samples
  * fixed dox comment
  * mainpage is created.
  * fixed document mainpage layout
  * added usage document.
  * adjusted mainpage.dox
  * modify how to build sample with Visual Studio on Readme_ja.txt
  * added install dox document
  * added install document
  * fixed laser_off handling
  * fixed connection timeout
  * fixed capture_times
  * fixed sample's bug
  * added visual studio samples.
  * added sensor_parameter vc project.
  * added visual studio 2005 project files.
  * windows compile.bat for winsock2
  * fixed for VC++ compile error.
  * omit stdbool.h .
  * changed UTF-8 -> CP932
  * fixed snprintf implementation.
  * New directory windowsexe to make windows exe files.
  * adjusted for cl.exe compile.
  * changed the character encoding SJIS
  * added connect timeout function.
  * fixed TCP/IP connect timeout
  * added CC=gcc
  * fixed information funciton's bug
  * fixed urg_firmware_version() fail at URG-04LX
  * fixed serial connection fail.
  * fixed sh scripts
  * fixed release package compile failed.
  * added comment.
  * added impelementation comment.
  * fixed winsock close
  * fixed Makefile error
  * adjusted open routine.
  * fixed link libraries
  * added mingw install setting
  * fixed sort bug.
  * fixed urg_serial_utils_windows.c
  * implemented urg_serial_utils_windows.c
  * implemented urg_serial_utils_linux.c
  * added urg_sensor_product_type() function
  * fixed scan times bug
  * fixed make clean rule
  * fixed link directory
  * added read/write function
  * fixed multiecho sample
  * fixed sample bug
  * urg_sensor_id() -> urg_sensor_serial_id()
  * fixed scan_skip timeout problem
  * added extern C
  * fixed viewer compile setting
  * fixed split script
  * fixed sample code's indent
  * fixed header indent
  * fixed urg_c-config
  * urg_c-config addes
  * include directory added
  * doxygen tag added
  * conflict COPYRIGHT and current/COPYRIGHT
  * Doxyfile added
  * fixed using OS env
  * fixed dist rule
  * printf debug message removed.
  * error output code removed
  * key zoom enabled
  * Readme.txt modified and COPYRIGHT added.
  * urg_tcpclient.h comments
  * fixed urg_index2rad()'s bug
  * remove debug print
  * Merge
  * fixed sample args parser
  * fixed urg_serial_windows.c compile error.
  * added ld_rt.sh
  * fixed multiecho intensity bug
  * plotter_sdl.c is implemented.
  * viewer_sdl debugging
  * viewer_sdl.c is implemented.
  * fixed struct name


=== debian/control ===
Source: ros-iron-urg-c
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: http://sourceforge.net/projects/urgwidget/
Standards-Version: 3.9.2

Package: ros-iron-urg-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ros-workspace
Description: The urg_c package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-urg-c//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
